// BlockProp.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "T3ED.h"
#include "BlockProp.h"
#include "VirtualRoadAdjust.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CBlockProp 


CBlockProp::CBlockProp(CWnd* pParent /*=NULL*/)
	: CDialog(CBlockProp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBlockProp)
	m_float_ptCentreX = 0.0f;
	m_float_ptCentreY = 0.0f;
	m_float_ptCentreZ = 0.0f;
	m_nVertices = 0;
	m_nHiResVert = 0;
	m_nLoResVert = 0;
	m_nMedResVert = 0;
	m_nLightsrc = 0;
	m_nSoundsrc = 0;
	m_AdjustRoad_AdjustType = 0;
	m_AdjustRoad_Size[0] = 0;
	m_AdjustRoad_Size[1] = 0;
	m_AdjustRoad_Size[2] = 0;
	m_AdjustRoad_Size[3] = 0;
	m_AdjustRoad_Selected = false;
	m_RefBlock = 0;
	m_bool_c_shading = FALSE;
	m_bHSMode = FALSE;
	//}}AFX_DATA_INIT
}


void CBlockProp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBlockProp)
	DDX_Text(pDX, IDC_EDIT_X, m_float_ptCentreX);
	DDX_Text(pDX, IDC_EDIT_Y, m_float_ptCentreY);
	DDX_Text(pDX, IDC_EDIT_Z, m_float_ptCentreZ);
	DDX_Text(pDX, IDC_EDIT_NVERTICES, m_nVertices);
	DDX_Text(pDX, IDC_EDIT_NHIGHVERT, m_nHiResVert);
	DDX_Text(pDX, IDC_EDIT_NLOWVERT, m_nLoResVert);
	DDX_Text(pDX, IDC_EDIT_NMEDVERT, m_nMedResVert);
	DDX_Text(pDX, IDC_EDIT_NLIGHTSRC, m_nLightsrc);
	DDX_Text(pDX, IDC_EDIT_NSOUNDSRC, m_nSoundsrc);
	DDX_Check(pDX, IDC_CHECK_C_SHADING, m_bool_c_shading);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CBlockProp, CDialog)
	//{{AFX_MSG_MAP(CBlockProp)
	ON_BN_CLICKED(ID_ADJUSTRW, OnAdjustRW)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CBlockProp 

void CBlockProp::OnAdjustRW() 
{
	CVirtualRoadAdjust VRADlg;
	//Get settings
	VRADlg.m_AdjustType = m_AdjustRoad_AdjustType;
	VRADlg.m_StartBlock = m_RefBlock;
	VRADlg.m_EndBlock = m_RefBlock;
	//VRADlg.m_int_Size = m_AdjustRoad_Size;
	VRADlg.m_Check_VR  = m_AdjustRoad_Check_VR;
	VRADlg.m_Check_Lane = m_AdjustRoad_Check_Lane;	

	VRADlg.m_int_Size_VR_L       = m_AdjustRoad_Size[0];
	VRADlg.m_int_Size_VR_R       = m_AdjustRoad_Size[1];	
	VRADlg.m_int_Size_Lane_L     = m_AdjustRoad_Size[2];
	VRADlg.m_int_Size_Lane_R     = m_AdjustRoad_Size[3];
	VRADlg.m_bHSMode = m_bHSMode;
	VRADlg.m_DisableStartEnd = true;


	//VRADlg.m_EndBlock.EnableWindow(FALSE);
	//VRADlg.m_EndBlock->EnableWindow(FALSE);
	//CWnd *pEdit1=GetDlgItem(VRADlg::IDC_EDIT1);
	//CEdit* pEdit1   = (CEdit*)GetDlgItem(VRADlg:IDC_EDIT1);

	if (VRADlg.DoModal()!=IDOK) return;
	
	m_AdjustRoad_Selected=true;
	m_AdjustRoad_AdjustType=VRADlg.m_AdjustType;
	m_AdjustRoad_Check_VR   = VRADlg.m_Check_VR  ;
	m_AdjustRoad_Check_Lane = VRADlg.m_Check_Lane;
	//m_AdjustRoad_Size=VRADlg.m_int_Size;
	m_AdjustRoad_Size[0]=VRADlg.m_int_Size_VR_L  ;
	m_AdjustRoad_Size[1]=VRADlg.m_int_Size_VR_R  ;	
	m_AdjustRoad_Size[2]=VRADlg.m_int_Size_Lane_L;
	m_AdjustRoad_Size[3]=VRADlg.m_int_Size_Lane_R;

}

void CBlockProp::UpdateView()
{

}
