#if !defined(AFX_RAYTRACEDLG_H__E713F52B_0872_4F14_96C7_0283B32B38EF__INCLUDED_)
#define AFX_RAYTRACEDLG_H__E713F52B_0872_4F14_96C7_0283B32B38EF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RayTraceDlg.h : header file
//
#include "ColorButton.h"
/////////////////////////////////////////////////////////////////////////////
// CRayTraceDlg dialog

class CRayTraceDlg : public CDialog
{
// Construction
public:
	CRayTraceDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRayTraceDlg)
	enum { IDD = IDD_RAYTRACE };
	CColorButton	m_color_button_2;
	CColorButton	m_color_button_1;
	float	m_theta;
	float	m_rho;
	int		m_iEndBlock;
	int		m_iStartBlock;
	BOOL	m_bCheckTrack;
	BOOL	m_bCheckObjects;
	CString	m_text_endbl;
	BOOL	m_bCheckExtra;
	BOOL	m_bCheckGlobal;
	UINT	m_int_shade_blue;
	UINT	m_int_shade_green;
	UINT	m_int_shade_red;
	UINT	m_int_sun_blue;
	UINT	m_int_sun_green;
	UINT	m_int_sun_red;
	BOOL	m_bCheckT1;
	BOOL	m_bCheckT2;
	BOOL	m_bCheckT3;
	BOOL	m_bCheckT4;
	BOOL	m_bCheckT6;
	BOOL	m_b_CheckAlpha;
	BOOL	m_bCheckCST1;
	BOOL	m_bCheckCST2;
	BOOL	m_bCheckCST3;
	BOOL	m_bCheckCST4;
	BOOL	m_bCheckCST5;
	BOOL	m_bCheckCST6;
	BOOL	m_bCheckMiddle;
	BOOL	m_bCheckFences;
	BOOL	m_bCheckLanes;
	BOOL	m_bCheckClose;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRayTraceDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRayTraceDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusEditSunRed();
	afx_msg void OnKillfocusEditSunGreen();
	afx_msg void OnKillfocusEditSunBlue();
	afx_msg void OnKillfocusEditShadeRed();
	afx_msg void OnKillfocusEditShadeGreen();
	afx_msg void OnKillfocusEditShadeBlue();
	//}}AFX_MSG

	//For Color Buttons
	afx_msg LONG OnSelEndOK(UINT lParam, LONG wParam);
    afx_msg LONG OnSelEndCancel(UINT lParam, LONG wParam);
    afx_msg LONG OnSelChange(UINT lParam, LONG wParam);
    afx_msg LONG OnCloseUp(UINT lParam, LONG wParam);
    afx_msg LONG OnDropDown(UINT lParam, LONG wParam);

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RAYTRACEDLG_H__E713F52B_0872_4F14_96C7_0283B32B38EF__INCLUDED_)
